import { IgCollection } from "igniteui-angular-core";
import { SyncableObservableCollection$2 } from "igniteui-angular-core";
import { TrendLineType } from "igniteui-angular-core";
export declare class IgxTrendLineTypeCollection extends IgCollection<TrendLineType, TrendLineType> {
    constructor(list?: TrendLineType[]);
    protected _ensureOuter(item: any): TrendLineType;
    protected _createInnerColl(): SyncableObservableCollection$2<TrendLineType, TrendLineType>;
}
